#!/sbin/sh
#
# NativeSD ROM Deletion Script v1.0
# Author: tytung - xda-developers

# Get $HOME=/sdcard/NativeSD/Backup
HOME=`cat '/tmp/aroma/backup_home.prop' | sed 's/HOME=//g'`

ROM_NAME=$1
if [ "$ROM_NAME" != "" ]; then

	# Enter FAT32 partition
	BOOT_DIR="$HOME/../$ROM_NAME"
	if [ -d "$BOOT_DIR" ]; then
		rm -rf "$BOOT_DIR"
	else
		echo BOOT_DIR: not found.
	fi

	# Enter SD-EXT partition
	cd "/NativeSD"
	if [ -d "$ROM_NAME" ]; then
		rm -rf "$ROM_NAME"
	fi

	exit 0

else

	echo Please specify ROM_NAME.

fi
